{
    attributes = (
        {
            columnName = QENT_KEY; 
            externalType = NUMBER; 
            name = qentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolEnqueteMatrice.qmatColonne1; 
            externalType = VARCHAR2; 
            name = qmatColonne1; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolEnqueteMatrice.qmatColonne2; 
            externalType = VARCHAR2; 
            name = qmatColonne2; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolEnqueteMatrice.qmatColonne3; 
            externalType = VARCHAR2; 
            name = qmatColonne3; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolEnqueteMatrice.qmatColonne4; 
            externalType = VARCHAR2; 
            name = qmatColonne4; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = QMAT_KEY; 
            externalType = NUMBER; 
            name = qmatKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolEnqueteMatrice.qmatLibelle; 
            externalType = VARCHAR2; 
            name = qmatLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            definition = toScolEnqueteMatrice.qmatLigne; 
            externalType = NUMBER; 
            name = qmatLigne; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QRCP_COLONNE1; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = QRCP_COLONNE1; }; 
            name = qrcpColonne1; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_number(NVL(QRCP_COLONNE1,0))/1"; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = QRCP_COLONNE1; }; 
            name = qrcpColonne11; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QRCP_COLONNE2; 
            externalType = VARCHAR2; 
            name = qrcpColonne2; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_number(NVL(QRCP_COLONNE2,0))/2"; 
            externalType = NUMBER; 
            name = qrcpColonne21; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QRCP_COLONNE3; 
            externalType = VARCHAR2; 
            name = qrcpColonne3; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_number(NVL(QRCP_COLONNE3,0))/3"; 
            externalType = NUMBER; 
            name = qrcpColonne31; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QRCP_COLONNE4; 
            externalType = VARCHAR2; 
            name = qrcpColonne4; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_number(NVL(QRCP_COLONNE4,0))/4"; 
            externalType = NUMBERE; 
            name = qrcpColonne41; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = QRCP_KEY; 
            externalType = NUMBER; 
            name = qrcpKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QRCP_VALEUR; 
            externalType = VARCHAR2; 
            name = qrcpValeur; 
            valueClassName = NSString; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (qrcpKey); 
    className = EOGenericRecord; 
    classProperties = (
        qrcpKey, 
        qentKey, 
        qmatKey, 
        qrcpValeur, 
        qrcpColonne1, 
        qrcpColonne2, 
        qrcpColonne3, 
        qrcpColonne4, 
        toScolEnqueteMatrice, 
        toScolEnqueteEntete, 
        qmatLigne, 
        qrcpColonne11, 
        qrcpColonne21, 
        qrcpColonne31, 
        qrcpColonne41, 
        qmatColonne1, 
        qmatColonne2, 
        qmatColonne3, 
        qmatColonne4, 
        qmatLibelle
    ); 
    externalName = SCOL_ENQUETE_RECUPERATION; 
    fetchSpecificationDictionary = {}; 
    name = ScolEnqueteRecuperationAvecLigne; 
    primaryKeyAttributes = (qrcpKey); 
    relationships = (
        {
            destination = ScolEnqueteEntete; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = qentKey; sourceAttribute = qentKey; }); 
            name = toScolEnqueteEntete; 
        }, 
        {
            destination = ScolEnqueteMatrice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = qmatKey; sourceAttribute = qmatKey; }); 
            name = toScolEnqueteMatrice; 
        }
    ); 
}
